{
  "i18n-ally.localesPaths": ["src/i18n", "src/i18n/lang"],
  "i18n-ally.displayLanguage": "zh",
  "workbench.iconTheme": "material-icon-theme",
  "git.enableSmartCommit": true,
  "git.autofetch": true,
  "files.associations": {
    "*.js": "javascriptreact",
    "*.cjson": "jsonc",
    "*.wxss": "css",
    "*.wxs": "javascript",
    "*.ejs": "plaintext"
  },
  "[javascript]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[vue]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[json]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[html]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  //   代码格式化

  "editor.fontSize": 12,
  "editor.tabSize": 2,
  "editor.codeActionsOnSave": {
    "source.fixAll": false
  },
  "editor.formatOnSave": false,
  "[jsonc]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "window.zoomLevel": 0,
  "liveServer.settings.donotShowInfoMsg": true,
  "javascript.updateImportsOnFileMove.enabled": "always",
  "editor.detectIndentation": false,
  "explorer.confirmDelete": false,
  "[javascriptreact]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  // 头部注释
  "fileheader.customMade": {
    // 头部注释默认字段
    "Author": "zhou lei",
    "Date": "Do not edit", // 设置后默认设置文件生成时间
    "LastEditTime": "Do not edit", // 设置后，保存文件更改默认更新最后编辑时间
    "LastEditors": "zhou lei", // 设置后，保存文件更改默认更新最后编辑人
    "Description": "",
    "FilePath": "Do not edit", // 设置后，默认生成文件相对于项目的路径
    "custom_string_obkoro1": "联系方式:910592680@qq.com 18669792120 科海达信息技术有限公司"
  },
  "[css]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[typescript]": {
    "editor.defaultFormatter": "vscode.typescript-language-features"
  },
  "editor.quickSuggestions": {
    "strings": true
  },
  "emmet.includeLanguages": {
    "wxml": "html",
    "vue-html": "html"
  },
  "emmet.syntaxProfiles": {
    "postcss": "css"
  },
  "emmet.triggerExpansionOnTab": true,
  "tailwindCSS.emmetCompletions": true,
  "tailwindCSS.validate": true,
  "minapp-vscode.disableAutoConfig": true,
  "[scss]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "liveServer.settings.donotVerifyTags": true,
  "diffEditor.ignoreTrimWhitespace": false,
  "redhat.telemetry.enabled": true,
  "gitlens.advanced.messages": {
    "suppressGitMissingWarning": true
  },
  "python.testing.unittestArgs": [
    "-v",
    "-s",
    "./src",
    "-p",
    "test*.py"
  ],
  "python.testing.pytestEnabled": false,
  "python.testing.unittestEnabled": true
}
